%define upstream_name	 GSSAPI
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 30

Summary:	Perl extension providing access to the GSSAPIv2 library
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GA/GAAS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	pkgconfig(krb5)
BuildRequires:	perl-devel


%description
This module gives access to the routines of the GSSAPI library, as described
in rfc2743 and rfc2744 and implemented by the Kerberos-1.2 distribution from
MIT.

Since 0.14 it also compiles and works with Heimdal. Lacks of Heimdal support
are gss_release_oid(), gss_str_to_oid() and fail of some tests. Have a look
at the tests in t/ directory too see what tests fail on Heimdal ( the *.t tests
are just skipping them at the moment)

The API presented by this module is a mildly object oriented reinterpretation
of the C API, where opaque C structures are Perl objects, but the style of
function call has been left mostly untouched. As a result, most routines modify
one or more of the parameters passed to them, reflecting the C call-by-
reference (or call-by-value-return) semantics.

All users of this module are therefore strongly advised to localize all usage
of these routines to minimize pain if and when the API changes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
# rt#73293 - test shouldn't be run inside build chroot
rm -f t/inquire_cred.t
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man?/*




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.280.0-30.mga10
+ Revision: 2225947
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.280.0-29.mga10
+ Revision: 2088056
- Rebuild against new perl

* Fri Dec 01 2023 tv <tv> 0.280.0-28.mga10
+ Revision: 2012068
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.280.0-27.mga9
+ Revision: 1861910
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.280.0-26.mga9
+ Revision: 1795783
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.280.0-25.mga9
+ Revision: 1726706
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.280.0-24.mga8
+ Revision: 1594802
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.280.0-23.mga8
+ Revision: 1529500
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.280.0-22.mga8
+ Revision: 1433645
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.280.0-21.mga7
+ Revision: 1292924
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.280.0-20.mga7
+ Revision: 1249396
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.280.0-19.mga7
+ Revision: 1164593
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.280.0-18.mga7
+ Revision: 1148943
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.280.0-17.mga7
+ Revision: 1126519
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.280.0-16.mga6
+ Revision: 1027979
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.280.0-15.mga6
+ Revision: 957399
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.280.0-14.mga6
+ Revision: 843409
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-13.mga5
+ Revision: 745875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-12.mga5
+ Revision: 684824
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.280.0-11.mga5
+ Revision: 631207
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.280.0-10.mga4
+ Revision: 524763
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.280.0-9.mga4
+ Revision: 431520
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-8.mga3
+ Revision: 367600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 0.280.0-7.mga3
+ Revision: 326463
- forgot to bump mkrel
- skip test that fails inside chroots (rt#73293)

* Wed May 30 2012 jquelin <jquelin> 0.280.0-6.mga3
+ Revision: 250686
- rebuild for perl 5.16

* Sat Jun 11 2011 spuhler <spuhler> 0.280.0-5.mga2
+ Revision: 104136
- increase rel for rebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.280.0-4.mga1
+ Revision: 23769
- rebuild

* Mon Jan 17 2011 spuhler <spuhler> 0.280.0-3.mga1
+ Revision: 20872
- removed buildroot definition from .spec
+ jquelin <jquelin>
- imported package perl-GSSAPI


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.280.0-3mdv2011.0
+ Revision: 564440
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.280.0-2mdv2011.0
+ Revision: 555879
- rebuild for perl 5.12

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.280.0-1mdv2011.0
+ Revision: 552306
- update to 0.28

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.26-2mdv2010.1
+ Revision: 426446
- rebuild

* Sun Jul 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2009.0
+ Revision: 232124
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.24-3mdv2009.0
+ Revision: 223778
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.24-2mdv2008.1
+ Revision: 180650
- fix deps

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.24-1mdv2008.0
+ Revision: 23368
- 0.24
- Create perl-GSSAPI

